API Referenceapipatient-graphGET /v1/patients/{patient_id}/providers

GET /v1/patients/\{patient_id\}/providers

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required

Responses

200 Patient’s providers

{
  "type": "object",
  "properties": {
    "patient_id": {
      "type": "string"
    },
    "providers": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "patient_id": {
            "type": "string"
          },
          "provider_id": {
            "type": "string"
          },
          "relationship": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "started_at": {
            "type": "string"
          },
          "ended_at": {
            "type": [
              "string",
              "null"
            ]
          }
        },
        "required": [
          "id",
          "patient_id",
          "provider_id",
          "relationship",
          "status",
          "started_at",
          "ended_at"
        ]
      }
    }
  },
  "required": [
    "patient_id",
    "providers"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://patient-graph.platform.loop.health/v1/patients/{patient_id}/providers \
  -H "Authorization: Bearer $ACCESS_TOKEN"